/*
* @description:采购公告工作流配置
  @Modifier: 张慢慢
  @routerPath:
  @date: 2021-06-18 13:31:48
  * */

export const procurementProjectWorkMixins = {
  data() {
    return {
      procurementInvitationAuditConfig: false, // 保存采购邀请函基本信息 true启动工作流 false普通审核
      procurementBulletinAuditConfig: false, // 保存公告 true启动工作流 false普通审核
      procurementChangebulletinAuditConfig: false // 提交变更公告 true启动工作流 false普通审核
    }
  },
  created() {
  },
  methods: {
    // 保存采购邀请函基本信息工作流配置
    procurementInvitationAudit() {
      // 根据键获取正式配置
      this.$store.dispatch('getSystemConfigValue', 'procurement-invitation-audit-config').then(() => {
        this.procurementInvitationAuditConfig = this.$store.getters.systemConfigVo.configType // true启动工作流 false普通审核
      }).catch(() => {
      })
    },
    // 保存公告工作流配置
    procurementBulletinAudit() {
      // 根据键获取正式配置
      this.$store.dispatch('getSystemConfigValue', 'procurement-bulletin-audit-config').then(() => {
        this.procurementBulletinAuditConfig = this.$store.getters.systemConfigVo.configType // true启动工作流 false普通审核
      }).catch(() => {
      })
    },
    // 提交变更公告工作流配置
    procurementChangebulletinAudit() {
      // 根据键获取正式配置
      this.$store.dispatch('getSystemConfigValue', 'procurement-changebulletin-audit-config').then(() => {
        this.procurementChangebulletinAuditConfig = this.$store.getters.systemConfigVo.configType // true启动工作流 false普通审核
      }).catch(() => {
      })
    }
  }
}
